quickcheck-simple-0.1.1.1: Test properties and default-mains for QuickCheck

Copyright | 2019 Kei Hibino
License | BSD3
Maintainer | ex8k.hibino@gmail.com
Stability | experimental
Portability | unknown
Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.QuickCheck.CompatIO

Description

This module provides a compatible ioProperty definition.

Synopsis

- ioProperty :: Testable prop => IO prop -> Property

# Documentation

ioProperty :: Testable prop => IO prop -> Property Source #

Do I/O inside a property.

Warning: any random values generated inside of the argument to `ioProperty` will not currently be shrunk. For best results, generate all random values before calling `ioProperty`, or use `idempotentIOProperty` if that is safe.